<script setup>
defineProps({
  image: {
    type: String,
    default: undefined,
  },
  title: {
    type: String,
    default: undefined,
  },
  subTitle: {
    type: String,
    default: undefined,
  },
  projetTitle: {
    type: String,
    default: 'Simple title',
  },
  projetDescription: {
    type: String,
    default: 'Simple description',
  },
  projetTag: {
    type: String,
    default: 'Simple Tag',
  },
  details: {
    type: Array,
    default: () => [],
  },
});
</script>
<template>
  <div class="feedback fr-grid-row anct-text-center anct-box-shadow fr-pr-11w fr-pl-5w fr-pt-9w fr-pb-9w fr-mb-10w">
    <div class="feedback_left fr-col-3 anct-text-justify">
      <div class="feedback_left--img">
        <img :src="image" alt="" />
      </div>
      <div class="fr-pt-5w">
        <h1 class="fr-h1 fr-mb-1v">
          {{ title }}
        </h1>
        <span class="fr-text--xl">
          {{ subTitle }}
        </span>
      </div>
      <hr class="fr-mt-9w fr-mb-9w" />
      <div>
        <h6>
          {{ projetTitle }}
        </h6>
        <div class="fr-text--sm">
          {{ projetDescription }}
        </div>
        <DsfrTag :label="projetTag"></DsfrTag>
      </div>
    </div>
    <div class="fr-col-offset-1"></div>
    <div class="feedback_right fr-col-8 anct-text-left">
      <template v-for="(detail, index) in details" :key="`detail--${index}`">
        <div class="fr-mb-7w">
          <h6>
            {{ detail.title }}
          </h6>
          <span>
            {{ detail.content }}
          </span>
        </div>
      </template>
    </div>
  </div>
</template>

<style lang="scss">
.feedback {
  hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid black;
    margin: 1em 0;
    padding: 0;
    width: 127px;
  }
}

@media only screen and (max-width: 999px) {
  .card-with-image {
    grid-template-columns: initial;
    .fr-card__img {
      display: none;
    }
  }
}
</style>
